Post v1runnerenvironment values
POST
/
v1
/
runner
/
environment-values
cURL
curl --request POST \
--url https://api.sndbox.app/v1/runner/environment-values \
--header 'Content-Type: application/json' \
--header 'x-sandbox-signature: <api-key>' \
--data '{}'import requests
url = "https://api.sndbox.app/v1/runner/environment-values"
payload = {}
headers = {
"x-sandbox-signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-sandbox-signature': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.sndbox.app/v1/runner/environment-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"correlationId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"correlationId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"correlationId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"correlationId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"correlationId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"correlationId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"correlationId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"correlationId": "<string>"
}Authorizations
Ed25519 signature accompanied by runner ID, key ID, timestamp, and nonce headers.
Headers
Caller-supplied correlation ID; the server generates one when omitted.
Required string length:
8 - 128Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]+$Enables exact replay for mutating requests for 24 hours.
Required string length:
16 - 200Pattern:
^[A-Za-z0-9._:-]+$Body
application/json
Request body for POST /v1/runner/environment-values.
Response
Successful response.
Successful response for POST /v1/runner/environment-values.
⌘I
cURL
